<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxVps\App\UI\Firewall\Forms;

use ModulesGarden\ProxmoxAddon\App\Services\ApiService;
use ModulesGarden\Servers\ProxmoxVps\App\UI\Firewall\Providers\FirewallProvider;
use ModulesGarden\Servers\ProxmoxVps\Core\UI\Interfaces\ClientArea;

class UpdateGroupForm extends GroupForm implements ClientArea
{
    use ApiService;

    public function initContent()
    {
        $this->initIds('createGroupForm');
        $this->setFormType('update');
        $this->setProvider(new FirewallProvider());
        $this->initFields();
        $this->loadDataToForm();
    }

    public function getAllowedActions()
    {
        return ['update'];
    }


}